Loading...
Searching...
No Matches
bres_line.c File Reference
`#include <grass/gis.h>`
Include dependency graph for bres_line.c:

Go to the source code of this file.

## Functions

void | G_bresenham_line (int x0, int y0, int x1, int y1, int(*point)(int, int))
| Bresenham line algorithm.

## Function Documentation

## G_bresenham_line()

void G_bresenham_line | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | int(* | point )(int, int) )

Bresenham line algorithm.

Draws a line from x1,y1 to x2,y2 using Bresenham's algorithm. A routine to plot points must be provided, as is defined as: point(x, y) plot a point at x,y.

This routine does not require a previous call to G_setup_plot() to function correctly, and is independent of all following routines.

Parameters

  x0,y0 | first point
  x1,y1 | end point
  point | pointer to point plotting function

Definition at line 30 of file bres_line.c.